<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Field (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Field (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Field.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/DropCapSpecifier.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Fields.html"
               title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/Field.html" target="_top">Frames</a></li>
        <li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Interface Field" class="title">Interface Field</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Field</span></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#firstSubrange-org.apache.poi.hwpf.usermodel.Range-">firstSubrange</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getFieldEndOffset--">getFieldEndOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getFieldStartOffset--">getFieldStartOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkEndCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkEndCharacterRun</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkEndOffset--">getMarkEndOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkSeparatorCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkSeparatorCharacterRun</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkSeparatorOffset--">getMarkSeparatorOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkStartCharacterRun-org.apache.poi.hwpf.usermodel.Range-">getMarkStartCharacterRun</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkStartOffset--">getMarkStartOffset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getType--">getType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#hasSeparator--">hasSeparator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#isHasSep--">isHasSep</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#isLocked--">isLocked</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#isNested--">isNested</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#isPrivateResult--">isPrivateResult</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#isResultDirty--">isResultDirty</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#isResultEdited--">isResultEdited</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#isZombieEmbed--">isZombieEmbed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#secondSubrange-org.apache.poi.hwpf.usermodel.Range-">secondSubrange</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="firstSubrange-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstSubrange</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;firstSubrange(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="getFieldEndOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFieldEndOffset</h4>
                                <pre>int&nbsp;getFieldEndOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>character position of first character after field (i.e.
                                        <a href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getMarkEndOffset--"><code>getMarkEndOffset()</code></a>
                                        + 1)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFieldStartOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFieldStartOffset</h4>
                                <pre>int&nbsp;getFieldStartOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>character position of first character in field (i.e.
                                        <a href="../../../../../org/apache/poi/hwpf/usermodel/Field.html#getFieldStartOffset--"><code>getFieldStartOffset()</code></a>)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMarkEndCharacterRun-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarkEndCharacterRun</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;getMarkEndCharacterRun(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="getMarkEndOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarkEndOffset</h4>
                                <pre>int&nbsp;getMarkEndOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>character position of end field mark</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMarkSeparatorCharacterRun-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarkSeparatorCharacterRun</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;getMarkSeparatorCharacterRun(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="getMarkSeparatorOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarkSeparatorOffset</h4>
                                <pre>int&nbsp;getMarkSeparatorOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>character position of separator field mark (if present,
                                        <code>NullPointerException</code> otherwise)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMarkStartCharacterRun-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarkStartCharacterRun</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;getMarkStartCharacterRun(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="getMarkStartOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMarkStartOffset</h4>
                                <pre>int&nbsp;getMarkStartOffset()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>character position of start field mark</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre>int&nbsp;getType()</pre>
                            </li>
                        </ul>
                        <a name="hasSeparator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasSeparator</h4>
                                <pre>boolean&nbsp;hasSeparator()</pre>
                            </li>
                        </ul>
                        <a name="isHasSep--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHasSep</h4>
                                <pre>boolean&nbsp;isHasSep()</pre>
                            </li>
                        </ul>
                        <a name="isLocked--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isLocked</h4>
                                <pre>boolean&nbsp;isLocked()</pre>
                            </li>
                        </ul>
                        <a name="isNested--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isNested</h4>
                                <pre>boolean&nbsp;isNested()</pre>
                            </li>
                        </ul>
                        <a name="isPrivateResult--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isPrivateResult</h4>
                                <pre>boolean&nbsp;isPrivateResult()</pre>
                            </li>
                        </ul>
                        <a name="isResultDirty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isResultDirty</h4>
                                <pre>boolean&nbsp;isResultDirty()</pre>
                            </li>
                        </ul>
                        <a name="isResultEdited--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isResultEdited</h4>
                                <pre>boolean&nbsp;isResultEdited()</pre>
                            </li>
                        </ul>
                        <a name="isZombieEmbed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isZombieEmbed</h4>
                                <pre>boolean&nbsp;isZombieEmbed()</pre>
                            </li>
                        </ul>
                        <a name="secondSubrange-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>secondSubrange</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;secondSubrange(<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                        title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Field.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/DropCapSpecifier.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/Fields.html"
               title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/Field.html" target="_top">Frames</a></li>
        <li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
